> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/notes-reperes/26.-mutation-enregistrer-une-note-attachee-a-zonesmap.md).

# 26. Mutation : enregistrer une « Note » attachée à « ZonesMap »

Cette mutation vous permet d'attacher une Note à une ZonesMap spécifiée.

* Une Note peut être liée au Champ via son identifiant unique `fieldUuid` et à la ZonesMap associée via `vectorAnalysisMapUuid`.
* La coordonnée de la Note peut être définie en utilisant le `centroid` attribut, qui nécessite des `latitude` et `longitude` valeurs.&#x20;
* Le type de Note peut être spécifié en utilisant le `type` attribut avec des valeurs acceptables de `PLANNED` ou `REAL`.&#x20;
* La description de la Note peut être fournie en utilisant le `comment` attribut. Si la description doit être multilignes, la `comment` attribut doit contenir une chaîne avec des caractères de nouvelle ligne `\\n` pour séparer les lignes. Par exemple : `"Première ligne. est ici\\nDeuxième ligne est ici.\\nTroisième ligne est ici."`.

Les requêtes d'exemple peuvent être trouvées ci-dessous :

```graphql
mutation SaveNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "La note de test attachée à la ZonesMap",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    dateDeCréation
    updatedDate
    type
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SaveMultiLineNoteAttachedToZonesMap {
  saveNote(input:{
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    centroid: {
      latitude: 51.177747, 
      longitude:  -113.533613
    },
    type: REAL,
    comment: "Première ligne. est ici\\nLa deuxième ligne est ici.\\nLa troisième ligne est ici.",
    vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    dateDeCréation
    updatedDate
    type
    comment
    vectorAnalysisMap {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fr/documentation-api/vue-densemble-des-requetes-de-lapi-geopard/notes-reperes/26.-mutation-enregistrer-une-note-attachee-a-zonesmap.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
